# List Kafka Consumer Groups - ListUKafkaConsumers

## Overview

List Kafka Consumer Groups






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `ListUKafkaConsumers`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.genesissai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability Zone. See [Availability Zone List](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, and the sub-account must be filled in. Please refer to the [GetProjectList Interface](/docs/api/summary/get_project_list). |No|
| **ClusterInstanceId** | string | The instance ID can be obtained through the `ClusterSet.ClusterInstanceId` method of the `ListUKafkaInstance` interface. |**Yes**|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **Groups** | array[[*Group*](#group)] | Consumer Group List |No|

#### Data Model


#### Group

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **GroupName** | string | Consumer Group Name |No|
| **Type** | string | Consumer Group Type |No|
| **NumOfTopics** | int | Number of Topic Subscriptions |No|
| **GroupId** | string | Consumer Group Resource ID |No|

## Example

### Request Example
    
```
https://api.genesissai.com/?Action=ListUKafkaConsumers
&Region=befZCCUI
&Zone=boqlDiIv
&ProjectId=aTyyvWoG
&ClusterInstanceId=yUHbmMXE
&ConsumerGroup=LgcijwcM
&Type=ZK
```

### Response Example
    
```json
{
  "Action": "ListUKafkaConsumersResponse",
  "Groups": [
    {
      "GroupName": "your_group",
      "NumOfTopics": 1,
      "Type": "ZK"
    },
    {
      "GroupName": "group1",
      "NumOfTopics": 2,
      "Type": "ZK"
    },
    {
      "GroupName": "console-consumer-15031",
      "NumOfTopics": 1,
      "Type": "KF"
    },
    {
      "GroupName": "c-group-no.1",
      "NumOfTopics": 7,
      "Type": "KF"
    },
    {
      "GroupName": "console-consumer-49808",
      "NumOfTopics": 1,
      "Type": "KF"
    },
    {
      "GroupName": "console-consumer-66549",
      "NumOfTopics": 7,
      "Type": "KF"
    },
    {
      "GroupName": "console-consumer-27520",
      "NumOfTopics": 1,
      "Type": "KF"
    },
    {
      "GroupName": "console-consumer-6519",
      "NumOfTopics": 1,
      "Type": "KF"
    }
  ],
  "RetCode": 0
}
```





